> For the complete documentation index, see [llms.txt](https://docs.arkelectron.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkelectron.com/products/flight-controller/arkv6x.md).

# ARKV6X

The ARKV6X is a flight controller module based on the [FMUV6X and Pixhawk Autopilot Bus open source standards](https://github.com/pixhawk/Pixhawk-Standards), with an [STM32H743IIK6](https://www.st.com/en/microcontrollers-microprocessors/stm32h743ii.html) MCU, a [Bosch BMP390](https://www.bosch-sensortec.com/en/products/environmental-sensors/pressure-sensors/bmp390) barometer and a [Bosch BMM150](https://www.bosch-sensortec.com/media/boschsensortec/downloads/datasheets/bst-bmm150-ds001.pdf) magnetometer. With triple synced IMUs, data averaging, voting, and filtering is possible. The Pixhawk Autopilot Bus (PAB) form factor enables the ARKV6X to be used on any [PAB-compatible carrier board](https://docs.px4.io/main/en/flight_controller/pixhawk_autopilot_bus.html), such as the [ARK Pixhawk Autopilot Bus Carrier](/products/flight-controller/ark-pixhawk-autopilot-bus-carrier.md). It ships with PX4 and can be flashed with ArduPilot. USA built, NDAA compliant, FCC compliant and [Blue Framework listed](https://tyrionprod.servicenowservices.com/gsp?id=framework_list).

Buy: [ARKV6X](https://arkelectron.com/product/arkv6x/) · [ARKV6X Extended Range](https://arkelectron.com/product/arkv6x-iim-42653/) · [ARKV6X Bundle](https://arkelectron.com/product/arkv6x-bundle/) · [ARKV6X Extended Range Bundle](https://arkelectron.com/product/arkv6x-extended-range-bundle/)

| Variant                      | IMUs                        | Gyro range | Accel range | On an ARK PAB Carrier |
| ---------------------------- | --------------------------- | ---------- | ----------- | --------------------- |
| ARKV6X                       | Dual ICM-42688-P, IIM-42652 | 2000 dps   | 16 g        | No                    |
| ARKV6X Extended Range        | Triple IIM-42653            | 4000 dps   | 32 g        | No                    |
| ARKV6X Bundle                | Dual ICM-42688-P, IIM-42652 | 2000 dps   | 16 g        | Yes                   |
| ARKV6X Extended Range Bundle | Triple IIM-42653            | 4000 dps   | 32 g        | Yes                   |

| Page                                                                                   | Contents                                                                 |
| -------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ |
| [Firmware](/products/flight-controller/arkv6x/firmware.md)                             | Build targets, flashing PX4 and ArduPilot, bootloader recovery           |
| [Hardware Reference](/products/flight-controller/arkv6x/hardware.md)                   | Specifications, pinout, serial port mapping, datasheet, 3D model         |
| [PX4 Instructions](/products/flight-controller/arkv6x/px4-instructions.md)             | PX4 documentation                                                        |
| [ArduPilot Instructions](/products/flight-controller/arkv6x/ardupilot-instructions.md) | ArduPilot documentation, serial port mapping, hwdef changes for an IOMCU |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.arkelectron.com/products/flight-controller/arkv6x.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
